libzypp: zypp::target::rpm::RpmDb::db_const_iterator Struct Reference

libzypp 17.38.11

zypp::target::rpm::RpmDb::db_const_iterator Struct Reference

Wrapper providing a librpmDb::db_const_iterator for this RpmDb. More...

`#include <zypp/target/rpm/RpmDb.h>`

Inheritance diagram for zypp::target::rpm::RpmDb::db_const_iterator:

## Private Member Functions
| db_const_iterator ()
| db_const_iterator (const Pathname &root_r, const Pathname &dbPath_r)

## Friends
class | RpmDb

## Additional Inherited Members
Public Member Functions inherited from zypp::target::rpm::librpmDb::db_const_iterator
| db_const_iterator () ZYPP_DEPRECATED
| Open the default rpmdb below the host system (at /).
| db_const_iterator (const Pathname &root_r)
| Open the default rpmdb below the system at root_r.
| db_const_iterator (const Pathname &root_r, const Pathname &dbPath_r)
| Open a specific rpmdb below the system at root_r.
| db_const_iterator (std::nullptr_t)
| A null iterator.
| ~db_const_iterator ()
| Destructor.
bool | hasDB () const
| Whether an underlying rpmdb exists.
void | operator++ ()
| Advance to next RpmHeader::constPtr.
unsigned | dbHdrNum () const
| Returns the current headers index in database, 0 if no header.
const RpmHeader::constPtr & | operator* () const
| Returns the current RpmHeader::constPtr or NULL, if no more entries available.
const RpmHeader::constPtr & | operator-> () const
| Forwards to the current RpmHeader::constPtr.
bool | findAll ()
| Reset to iterate all packages.
bool | findByFile (const std::string &file_r)
| Reset to iterate all packages that own a certain file.
bool | findByProvides (const std::string &tag_r)
| Reset to iterate all packages that provide a certain tag.
bool | findByRequiredBy (const std::string &tag_r)
| Reset to iterate all packages that require a certain tag.
bool | findByConflicts (const std::string &tag_r)
| Reset to iterate all packages that conflict with a certain tag.
bool | findByName (const std::string &name_r)
| Reset to iterate all packages with a certain name.
bool | findPackage (const std::string &name_r)
| Find package by name.
bool | findPackage (const std::string &name_r, const Edition &ed_r)
| Find package by name and edition.
bool | findPackage (const Package::constPtr &which_r)
| Abbr.

## Detailed Description

Wrapper providing a librpmDb::db_const_iterator for this RpmDb.

Provide a properly initialized iterator while RpmDb is initialized. Otherwise a null iterator.

See also
  RpmDb::dbConstIterator.

Definition at line 64 of file RpmDb.h.

## Constructor & Destructor Documentation

## ◆ db_const_iterator() [1/2]

zypp::target::rpm::RpmDb::db_const_iterator::db_const_iterator | ( |  | ) |
| inlineprivate

Definition at line 68 of file RpmDb.h.

## ◆ db_const_iterator() [2/2]

zypp::target::rpm::RpmDb::db_const_iterator::db_const_iterator | ( | const Pathname & | root_r,
|  | const Pathname & | dbPath_r )
| inlineprivate

Definition at line 71 of file RpmDb.h.

## Friends And Related Symbol Documentation

## ◆ RpmDb

friend class RpmDb
| friend

Definition at line 67 of file RpmDb.h.

The documentation for this struct was generated from the following file:

- zypp/target/rpm/RpmDb.h